diff -ur ncurses-5.9-orig/form/form.h ncurses-5.9/form/form.h
--- ncurses-5.9-orig/form/form.h	2009-11-07 14:31:11 -0500
+++ ncurses-5.9/form/form.h	2013-07-04 18:38:37 -0400
@@ -287,132 +287,132 @@
 	/*************************
 	*  standard field types  *
 	*************************/
-extern NCURSES_EXPORT_VAR(FIELDTYPE *) TYPE_ALPHA;
-extern NCURSES_EXPORT_VAR(FIELDTYPE *) TYPE_ALNUM;
-extern NCURSES_EXPORT_VAR(FIELDTYPE *) TYPE_ENUM;
-extern NCURSES_EXPORT_VAR(FIELDTYPE *) TYPE_INTEGER;
-extern NCURSES_EXPORT_VAR(FIELDTYPE *) TYPE_NUMERIC;
-extern NCURSES_EXPORT_VAR(FIELDTYPE *) TYPE_REGEXP;
+extern NCFORM_EXPORT_VAR(FIELDTYPE *) TYPE_ALPHA;
+extern NCFORM_EXPORT_VAR(FIELDTYPE *) TYPE_ALNUM;
+extern NCFORM_EXPORT_VAR(FIELDTYPE *) TYPE_ENUM;
+extern NCFORM_EXPORT_VAR(FIELDTYPE *) TYPE_INTEGER;
+extern NCFORM_EXPORT_VAR(FIELDTYPE *) TYPE_NUMERIC;
+extern NCFORM_EXPORT_VAR(FIELDTYPE *) TYPE_REGEXP;
 
 	/************************************
 	*  built-in additional field types  *
 	*  They are not defined in SVr4     *
 	************************************/
-extern NCURSES_EXPORT_VAR(FIELDTYPE *) TYPE_IPV4;      /* Internet IP Version 4 address */
+extern NCFORM_EXPORT_VAR(FIELDTYPE *) TYPE_IPV4;      /* Internet IP Version 4 address */
 
 	/***********************
 	*  FIELDTYPE routines  *
 	***********************/
-extern NCURSES_EXPORT(FIELDTYPE *) new_fieldtype (
+extern NCFORM_EXPORT(FIELDTYPE *) new_fieldtype (
 		    bool (* const field_check)(FIELD *,const void *),
 		    bool (* const char_check)(int,const void *));
-extern NCURSES_EXPORT(FIELDTYPE *) link_fieldtype(
+extern NCFORM_EXPORT(FIELDTYPE *) link_fieldtype(
 		    FIELDTYPE *, FIELDTYPE *);
 
-extern NCURSES_EXPORT(int)	free_fieldtype (FIELDTYPE *);
-extern NCURSES_EXPORT(int)	set_fieldtype_arg (FIELDTYPE *,
+extern NCFORM_EXPORT(int)	free_fieldtype (FIELDTYPE *);
+extern NCFORM_EXPORT(int)	set_fieldtype_arg (FIELDTYPE *,
 		    void * (* const make_arg)(va_list *),
 		    void * (* const copy_arg)(const void *),
 		    void (* const free_arg)(void *));
-extern NCURSES_EXPORT(int)	 set_fieldtype_choice (FIELDTYPE *,
+extern NCFORM_EXPORT(int)	 set_fieldtype_choice (FIELDTYPE *,
 		    bool (* const next_choice)(FIELD *,const void *),
 	      	    bool (* const prev_choice)(FIELD *,const void *));
 
 	/*******************
 	*  FIELD routines  *
 	*******************/
-extern NCURSES_EXPORT(FIELD *)	new_field (int,int,int,int,int,int);
-extern NCURSES_EXPORT(FIELD *)	dup_field (FIELD *,int,int);
-extern NCURSES_EXPORT(FIELD *)	link_field (FIELD *,int,int);
-
-extern NCURSES_EXPORT(int)	free_field (FIELD *);
-extern NCURSES_EXPORT(int)	field_info (const FIELD *,int *,int *,int *,int *,int *,int *);
-extern NCURSES_EXPORT(int)	dynamic_field_info (const FIELD *,int *,int *,int *);
-extern NCURSES_EXPORT(int)	set_max_field ( FIELD *,int);
-extern NCURSES_EXPORT(int)	move_field (FIELD *,int,int);
-extern NCURSES_EXPORT(int)	set_field_type (FIELD *,FIELDTYPE *,...);
-extern NCURSES_EXPORT(int)	set_new_page (FIELD *,bool);
-extern NCURSES_EXPORT(int)	set_field_just (FIELD *,int);
-extern NCURSES_EXPORT(int)	field_just (const FIELD *);
-extern NCURSES_EXPORT(int)	set_field_fore (FIELD *,chtype);
-extern NCURSES_EXPORT(int)	set_field_back (FIELD *,chtype);
-extern NCURSES_EXPORT(int)	set_field_pad (FIELD *,int);
-extern NCURSES_EXPORT(int)	field_pad (const FIELD *);
-extern NCURSES_EXPORT(int)	set_field_buffer (FIELD *,int,const char *);
-extern NCURSES_EXPORT(int)	set_field_status (FIELD *,bool);
-extern NCURSES_EXPORT(int)	set_field_userptr (FIELD *, void *);
-extern NCURSES_EXPORT(int)	set_field_opts (FIELD *,Field_Options);
-extern NCURSES_EXPORT(int)	field_opts_on (FIELD *,Field_Options);
-extern NCURSES_EXPORT(int)	field_opts_off (FIELD *,Field_Options);
-
-extern NCURSES_EXPORT(chtype)	field_fore (const FIELD *);
-extern NCURSES_EXPORT(chtype)	field_back (const FIELD *);
-
-extern NCURSES_EXPORT(bool)	new_page (const FIELD *);
-extern NCURSES_EXPORT(bool)	field_status (const FIELD *);
-
-extern NCURSES_EXPORT(void *)	field_arg (const FIELD *);
+extern NCFORM_EXPORT(FIELD *)	new_field (int,int,int,int,int,int);
+extern NCFORM_EXPORT(FIELD *)	dup_field (FIELD *,int,int);
+extern NCFORM_EXPORT(FIELD *)	link_field (FIELD *,int,int);
+
+extern NCFORM_EXPORT(int)	free_field (FIELD *);
+extern NCFORM_EXPORT(int)	field_info (const FIELD *,int *,int *,int *,int *,int *,int *);
+extern NCFORM_EXPORT(int)	dynamic_field_info (const FIELD *,int *,int *,int *);
+extern NCFORM_EXPORT(int)	set_max_field ( FIELD *,int);
+extern NCFORM_EXPORT(int)	move_field (FIELD *,int,int);
+extern NCFORM_EXPORT(int)	set_field_type (FIELD *,FIELDTYPE *,...);
+extern NCFORM_EXPORT(int)	set_new_page (FIELD *,bool);
+extern NCFORM_EXPORT(int)	set_field_just (FIELD *,int);
+extern NCFORM_EXPORT(int)	field_just (const FIELD *);
+extern NCFORM_EXPORT(int)	set_field_fore (FIELD *,chtype);
+extern NCFORM_EXPORT(int)	set_field_back (FIELD *,chtype);
+extern NCFORM_EXPORT(int)	set_field_pad (FIELD *,int);
+extern NCFORM_EXPORT(int)	field_pad (const FIELD *);
+extern NCFORM_EXPORT(int)	set_field_buffer (FIELD *,int,const char *);
+extern NCFORM_EXPORT(int)	set_field_status (FIELD *,bool);
+extern NCFORM_EXPORT(int)	set_field_userptr (FIELD *, void *);
+extern NCFORM_EXPORT(int)	set_field_opts (FIELD *,Field_Options);
+extern NCFORM_EXPORT(int)	field_opts_on (FIELD *,Field_Options);
+extern NCFORM_EXPORT(int)	field_opts_off (FIELD *,Field_Options);
+
+extern NCFORM_EXPORT(chtype)	field_fore (const FIELD *);
+extern NCFORM_EXPORT(chtype)	field_back (const FIELD *);
+
+extern NCFORM_EXPORT(bool)	new_page (const FIELD *);
+extern NCFORM_EXPORT(bool)	field_status (const FIELD *);
+
+extern NCFORM_EXPORT(void *)	field_arg (const FIELD *);
 
-extern NCURSES_EXPORT(void *)	field_userptr (const FIELD *);
+extern NCFORM_EXPORT(void *)	field_userptr (const FIELD *);
 
-extern NCURSES_EXPORT(FIELDTYPE *)	field_type (const FIELD *);
+extern NCFORM_EXPORT(FIELDTYPE *)	field_type (const FIELD *);
 
-extern NCURSES_EXPORT(char *)	field_buffer (const FIELD *,int);
+extern NCFORM_EXPORT(char *)	field_buffer (const FIELD *,int);
 
-extern NCURSES_EXPORT(Field_Options)	field_opts (const FIELD *);
+extern NCFORM_EXPORT(Field_Options)	field_opts (const FIELD *);
 
 	/******************
 	*  FORM routines  *
 	******************/
 
-extern NCURSES_EXPORT(FORM *)	new_form (FIELD **);
+extern NCFORM_EXPORT(FORM *)	new_form (FIELD **);
 
-extern NCURSES_EXPORT(FIELD **)	form_fields (const FORM *);
-extern NCURSES_EXPORT(FIELD *)	current_field (const FORM *);
+extern NCFORM_EXPORT(FIELD **)	form_fields (const FORM *);
+extern NCFORM_EXPORT(FIELD *)	current_field (const FORM *);
 
-extern NCURSES_EXPORT(WINDOW *)	form_win (const FORM *);
-extern NCURSES_EXPORT(WINDOW *)	form_sub (const FORM *);
+extern NCFORM_EXPORT(WINDOW *)	form_win (const FORM *);
+extern NCFORM_EXPORT(WINDOW *)	form_sub (const FORM *);
 
-extern NCURSES_EXPORT(Form_Hook)	form_init (const FORM *);
-extern NCURSES_EXPORT(Form_Hook)	form_term (const FORM *);
-extern NCURSES_EXPORT(Form_Hook)	field_init (const FORM *);
-extern NCURSES_EXPORT(Form_Hook)	field_term (const FORM *);
-
-extern NCURSES_EXPORT(int)	free_form (FORM *);
-extern NCURSES_EXPORT(int)	set_form_fields (FORM *,FIELD **);
-extern NCURSES_EXPORT(int)	field_count (const FORM *);
-extern NCURSES_EXPORT(int)	set_form_win (FORM *,WINDOW *);
-extern NCURSES_EXPORT(int)	set_form_sub (FORM *,WINDOW *);
-extern NCURSES_EXPORT(int)	set_current_field (FORM *,FIELD *);
-extern NCURSES_EXPORT(int)	field_index (const FIELD *);
-extern NCURSES_EXPORT(int)	set_form_page (FORM *,int);
-extern NCURSES_EXPORT(int)	form_page (const FORM *);
-extern NCURSES_EXPORT(int)	scale_form (const FORM *,int *,int *);
-extern NCURSES_EXPORT(int)	set_form_init (FORM *,Form_Hook);
-extern NCURSES_EXPORT(int)	set_form_term (FORM *,Form_Hook);
-extern NCURSES_EXPORT(int)	set_field_init (FORM *,Form_Hook);
-extern NCURSES_EXPORT(int)	set_field_term (FORM *,Form_Hook);
-extern NCURSES_EXPORT(int)	post_form (FORM *);
-extern NCURSES_EXPORT(int)	unpost_form (FORM *);
-extern NCURSES_EXPORT(int)	pos_form_cursor (FORM *);
-extern NCURSES_EXPORT(int)	form_driver (FORM *,int);
-extern NCURSES_EXPORT(int)	set_form_userptr (FORM *,void *);
-extern NCURSES_EXPORT(int)	set_form_opts (FORM *,Form_Options);
-extern NCURSES_EXPORT(int)	form_opts_on (FORM *,Form_Options);
-extern NCURSES_EXPORT(int)	form_opts_off (FORM *,Form_Options);
-extern NCURSES_EXPORT(int)	form_request_by_name (const char *);
+extern NCFORM_EXPORT(Form_Hook)	form_init (const FORM *);
+extern NCFORM_EXPORT(Form_Hook)	form_term (const FORM *);
+extern NCFORM_EXPORT(Form_Hook)	field_init (const FORM *);
+extern NCFORM_EXPORT(Form_Hook)	field_term (const FORM *);
+
+extern NCFORM_EXPORT(int)	free_form (FORM *);
+extern NCFORM_EXPORT(int)	set_form_fields (FORM *,FIELD **);
+extern NCFORM_EXPORT(int)	field_count (const FORM *);
+extern NCFORM_EXPORT(int)	set_form_win (FORM *,WINDOW *);
+extern NCFORM_EXPORT(int)	set_form_sub (FORM *,WINDOW *);
+extern NCFORM_EXPORT(int)	set_current_field (FORM *,FIELD *);
+extern NCFORM_EXPORT(int)	field_index (const FIELD *);
+extern NCFORM_EXPORT(int)	set_form_page (FORM *,int);
+extern NCFORM_EXPORT(int)	form_page (const FORM *);
+extern NCFORM_EXPORT(int)	scale_form (const FORM *,int *,int *);
+extern NCFORM_EXPORT(int)	set_form_init (FORM *,Form_Hook);
+extern NCFORM_EXPORT(int)	set_form_term (FORM *,Form_Hook);
+extern NCFORM_EXPORT(int)	set_field_init (FORM *,Form_Hook);
+extern NCFORM_EXPORT(int)	set_field_term (FORM *,Form_Hook);
+extern NCFORM_EXPORT(int)	post_form (FORM *);
+extern NCFORM_EXPORT(int)	unpost_form (FORM *);
+extern NCFORM_EXPORT(int)	pos_form_cursor (FORM *);
+extern NCFORM_EXPORT(int)	form_driver (FORM *,int);
+extern NCFORM_EXPORT(int)	set_form_userptr (FORM *,void *);
+extern NCFORM_EXPORT(int)	set_form_opts (FORM *,Form_Options);
+extern NCFORM_EXPORT(int)	form_opts_on (FORM *,Form_Options);
+extern NCFORM_EXPORT(int)	form_opts_off (FORM *,Form_Options);
+extern NCFORM_EXPORT(int)	form_request_by_name (const char *);
 
-extern NCURSES_EXPORT(const char *)	form_request_name (int);
+extern NCFORM_EXPORT(const char *)	form_request_name (int);
 
-extern NCURSES_EXPORT(void *)	form_userptr (const FORM *);
+extern NCFORM_EXPORT(void *)	form_userptr (const FORM *);
 
-extern NCURSES_EXPORT(Form_Options)	form_opts (const FORM *);
+extern NCFORM_EXPORT(Form_Options)	form_opts (const FORM *);
 
-extern NCURSES_EXPORT(bool)	data_ahead (const FORM *);
-extern NCURSES_EXPORT(bool)	data_behind (const FORM *);
+extern NCFORM_EXPORT(bool)	data_ahead (const FORM *);
+extern NCFORM_EXPORT(bool)	data_behind (const FORM *);
 
 #if NCURSES_SP_FUNCS
-extern NCURSES_EXPORT(FORM *)	NCURSES_SP_NAME(new_form) (SCREEN*, FIELD **);
+extern NCFORM_EXPORT(FORM *)	NCURSES_SP_NAME(new_form) (SCREEN*, FIELD **);
 #endif
 
 #ifdef __cplusplus
diff -ur ncurses-5.9-orig/form/form.priv.h ncurses-5.9/form/form.priv.h
--- ncurses-5.9-orig/form/form.priv.h	2009-11-07 16:26:43 -0500
+++ ncurses-5.9/form/form.priv.h	2013-07-04 18:38:37 -0400
@@ -65,9 +65,9 @@
 	/***********************
 	*   Default objects    *
 	***********************/
-extern NCURSES_EXPORT_VAR(FORM *)      _nc_Default_Form;
-extern NCURSES_EXPORT_VAR(FIELD *)     _nc_Default_Field;
-extern NCURSES_EXPORT_VAR(FIELDTYPE *) _nc_Default_FieldType;
+extern NCFORM_EXPORT_VAR(FORM *)      _nc_Default_Form;
+extern NCFORM_EXPORT_VAR(FIELD *)     _nc_Default_Field;
+extern NCFORM_EXPORT_VAR(FIELDTYPE *) _nc_Default_FieldType;
 
 /* form  status values */
 #define _OVLMODE         (0x04U) /* Form is in overlay mode                */
@@ -163,31 +163,31 @@
 
 #define C_ZEROS '\0'
 
-extern NCURSES_EXPORT(TypeArgument *) _nc_Make_Argument (const FIELDTYPE*, va_list*, int*);
-extern NCURSES_EXPORT(TypeArgument *) _nc_Copy_Argument (const FIELDTYPE*, const TypeArgument*, int*);
-extern NCURSES_EXPORT(void) _nc_Free_Argument (const FIELDTYPE*, TypeArgument*);
-extern NCURSES_EXPORT(bool) _nc_Copy_Type (FIELD*, FIELD const *);
-extern NCURSES_EXPORT(void) _nc_Free_Type (FIELD *);
-
-extern NCURSES_EXPORT(int) _nc_Synchronize_Attributes (FIELD*);
-extern NCURSES_EXPORT(int) _nc_Synchronize_Options (FIELD*, Field_Options);
-extern NCURSES_EXPORT(int) _nc_Set_Form_Page (FORM*, int, FIELD*);
-extern NCURSES_EXPORT(int) _nc_Refresh_Current_Field (FORM*);
-extern NCURSES_EXPORT(FIELD *) _nc_First_Active_Field (FORM*);
-extern NCURSES_EXPORT(bool) _nc_Internal_Validation (FORM*);
-extern NCURSES_EXPORT(int) _nc_Set_Current_Field (FORM*, FIELD*);
-extern NCURSES_EXPORT(int) _nc_Position_Form_Cursor (FORM*);
+extern NCFORM_EXPORT(TypeArgument *) _nc_Make_Argument (const FIELDTYPE*, va_list*, int*);
+extern NCFORM_EXPORT(TypeArgument *) _nc_Copy_Argument (const FIELDTYPE*, const TypeArgument*, int*);
+extern NCFORM_EXPORT(void) _nc_Free_Argument (const FIELDTYPE*, TypeArgument*);
+extern NCFORM_EXPORT(bool) _nc_Copy_Type (FIELD*, FIELD const *);
+extern NCFORM_EXPORT(void) _nc_Free_Type (FIELD *);
+
+extern NCFORM_EXPORT(int) _nc_Synchronize_Attributes (FIELD*);
+extern NCFORM_EXPORT(int) _nc_Synchronize_Options (FIELD*, Field_Options);
+extern NCFORM_EXPORT(int) _nc_Set_Form_Page (FORM*, int, FIELD*);
+extern NCFORM_EXPORT(int) _nc_Refresh_Current_Field (FORM*);
+extern NCFORM_EXPORT(FIELD *) _nc_First_Active_Field (FORM*);
+extern NCFORM_EXPORT(bool) _nc_Internal_Validation (FORM*);
+extern NCFORM_EXPORT(int) _nc_Set_Current_Field (FORM*, FIELD*);
+extern NCFORM_EXPORT(int) _nc_Position_Form_Cursor (FORM*);
 
 #if NCURSES_INTEROP_FUNCS
-extern NCURSES_EXPORT(FIELDTYPE *) _nc_TYPE_INTEGER(void);
-extern NCURSES_EXPORT(FIELDTYPE *) _nc_TYPE_ALNUM(void);
-extern NCURSES_EXPORT(FIELDTYPE *) _nc_TYPE_ALPHA(void);
-extern NCURSES_EXPORT(FIELDTYPE *) _nc_TYPE_ENUM(void);
-extern NCURSES_EXPORT(FIELDTYPE *) _nc_TYPE_NUMERIC(void);
-extern NCURSES_EXPORT(FIELDTYPE *) _nc_TYPE_REGEXP(void);
-extern NCURSES_EXPORT(FIELDTYPE *) _nc_TYPE_IPV4(void);
+extern NCFORM_EXPORT(FIELDTYPE *) _nc_TYPE_INTEGER(void);
+extern NCFORM_EXPORT(FIELDTYPE *) _nc_TYPE_ALNUM(void);
+extern NCFORM_EXPORT(FIELDTYPE *) _nc_TYPE_ALPHA(void);
+extern NCFORM_EXPORT(FIELDTYPE *) _nc_TYPE_ENUM(void);
+extern NCFORM_EXPORT(FIELDTYPE *) _nc_TYPE_NUMERIC(void);
+extern NCFORM_EXPORT(FIELDTYPE *) _nc_TYPE_REGEXP(void);
+extern NCFORM_EXPORT(FIELDTYPE *) _nc_TYPE_IPV4(void);
 
-extern NCURSES_EXPORT(FIELDTYPE *)
+extern NCFORM_EXPORT(FIELDTYPE *)
 _nc_generic_fieldtype(bool (*const field_check) (FORM*, 
 						 FIELD *, 
 						 const void *),
@@ -198,18 +198,18 @@
 		      bool (*const next)(FORM*,FIELD*,const void*),
 		      bool (*const prev)(FORM*,FIELD*,const void*),
 		      void (*freecallback)(void*));
-extern NCURSES_EXPORT(int) _nc_set_generic_fieldtype(FIELD*, FIELDTYPE*, int (*)(void**));
-extern NCURSES_EXPORT(WINDOW*) _nc_form_cursor(const FORM* , int* , int* );
+extern NCFORM_EXPORT(int) _nc_set_generic_fieldtype(FIELD*, FIELDTYPE*, int (*)(void**));
+extern NCFORM_EXPORT(WINDOW*) _nc_form_cursor(const FORM* , int* , int* );
 
 #define INIT_FT_FUNC(func) {func}
 #else
 #define INIT_FT_FUNC(func) func
 #endif
 
-extern NCURSES_EXPORT(void) _nc_get_fieldbuffer(FORM*, FIELD*, FIELD_CELL*);
+extern NCFORM_EXPORT(void) _nc_get_fieldbuffer(FORM*, FIELD*, FIELD_CELL*);
 
 #if USE_WIDEC_SUPPORT
-extern NCURSES_EXPORT(wchar_t *) _nc_Widen_String(char *, int *);
+extern NCFORM_EXPORT(wchar_t *) _nc_Widen_String(char *, int *);
 #endif
 
 #ifdef TRACE
@@ -220,11 +220,11 @@
 #define returnFieldType(code)	TRACE_RETURN(code,field_type)
 #define returnFormHook(code)	TRACE_RETURN(code,form_hook)
 
-extern NCURSES_EXPORT(FIELD **)	    _nc_retrace_field_ptr (FIELD **);
-extern NCURSES_EXPORT(FIELD *)	    _nc_retrace_field (FIELD *);
-extern NCURSES_EXPORT(FIELDTYPE *)  _nc_retrace_field_type (FIELDTYPE *);
-extern NCURSES_EXPORT(FORM *)       _nc_retrace_form (FORM *);
-extern NCURSES_EXPORT(Form_Hook)    _nc_retrace_form_hook (Form_Hook);
+extern NCFORM_EXPORT(FIELD **)	    _nc_retrace_field_ptr (FIELD **);
+extern NCFORM_EXPORT(FIELD *)	    _nc_retrace_field (FIELD *);
+extern NCFORM_EXPORT(FIELDTYPE *)  _nc_retrace_field_type (FIELDTYPE *);
+extern NCFORM_EXPORT(FORM *)       _nc_retrace_form (FORM *);
+extern NCFORM_EXPORT(Form_Hook)    _nc_retrace_form_hook (Form_Hook);
 
 #else /* !TRACE */
 
diff -ur ncurses-5.9-orig/form/frm_cursor.c ncurses-5.9/form/frm_cursor.c
--- ncurses-5.9-orig/form/frm_cursor.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_cursor.c	2013-07-04 18:38:37 -0400
@@ -48,7 +48,7 @@
 |                    E_BAD_ARGUMENT            - Invalid form pointer
 |                    E_NOT_POSTED              - Form is not posted
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 pos_form_cursor(FORM *form)
 {
   int res;
diff -ur ncurses-5.9-orig/form/frm_data.c ncurses-5.9/form/frm_data.c
--- ncurses-5.9-orig/form/frm_data.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_data.c	2013-07-04 18:38:37 -0400
@@ -44,7 +44,7 @@
 |   Return Values :  TRUE   - there are off-screen data behind
 |                    FALSE  - there are no off-screen data behind
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(bool)
+NCFORM_EXPORT(bool)
 data_behind(const FORM *form)
 {
   bool result = FALSE;
@@ -131,7 +131,7 @@
 |   Return Values :  TRUE   - there are off-screen data ahead
 |                    FALSE  - there are no off-screen data ahead
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(bool)
+NCFORM_EXPORT(bool)
 data_ahead(const FORM *form)
 {
   bool result = FALSE;
diff -ur ncurses-5.9-orig/form/frm_def.c ncurses-5.9/form/frm_def.c
--- ncurses-5.9-orig/form/frm_def.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_def.c	2013-07-04 18:38:37 -0400
@@ -61,7 +61,7 @@
   NULL				/* fieldterm  */
 };
 
-NCURSES_EXPORT_VAR(FORM *) _nc_Default_Form = &default_form;
+NCFORM_EXPORT_VAR(FORM *) _nc_Default_Form = &default_form;
 
 /*---------------------------------------------------------------------------
 |   Facility      :  libnform  
@@ -294,7 +294,7 @@
 |                    E_CONNECTED     - a field is already connected
 |                    E_SYSTEM_ERROR  - not enough memory
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FORM *)
+NCFORM_EXPORT(FORM *)
 NCURSES_SP_NAME(new_form) (NCURSES_SP_DCLx FIELD **fields)
 {
   int err = E_SYSTEM_ERROR;
@@ -343,7 +343,7 @@
 |                    E_SYSTEM_ERROR  - not enough memory
 +--------------------------------------------------------------------------*/
 #if NCURSES_SP_FUNCS
-NCURSES_EXPORT(FORM *)
+NCFORM_EXPORT(FORM *)
 new_form(FIELD **fields)
 {
   return NCURSES_SP_NAME(new_form) (CURRENT_SCREEN, fields);
@@ -360,7 +360,7 @@
 |                    E_BAD_ARGUMENT - invalid form pointer
 |                    E_POSTED       - form is posted
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 free_form(FORM *form)
 {
   T((T_CALLED("free_form(%p)"), (void *)form));
@@ -391,7 +391,7 @@
 |                    E_POSTED        - form is posted
 |                    E_SYSTEM_ERROR  - not enough memory
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_form_fields(FORM *form, FIELD **fields)
 {
   FIELD **old;
@@ -422,7 +422,7 @@
 |
 |   Return Values :  Pointer to field array
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELD **)
+NCFORM_EXPORT(FIELD **)
 form_fields(const FORM *form)
 {
   T((T_CALLED("form_field(%p)"), (const void *)form));
@@ -437,7 +437,7 @@
 |
 |   Return Values :  Number of fields, -1 if none are defined
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 field_count(const FORM *form)
 {
   T((T_CALLED("field_count(%p)"), (const void *)form));
diff -ur ncurses-5.9-orig/form/frm_driver.c ncurses-5.9/form/frm_driver.c
--- ncurses-5.9-orig/form/frm_driver.c	2010-05-01 17:11:43 -0400
+++ ncurses-5.9/form/frm_driver.c	2013-07-04 18:38:37 -0400
@@ -524,7 +524,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void)
+NCFORM_EXPORT(void)
 _nc_get_fieldbuffer(FORM *form, FIELD *field, FIELD_CELL *buf)
 {
   int pad;
@@ -802,7 +802,7 @@
 |                    E_SYSTEM_ERROR    - form has no current field or
 |                                        field-window
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 _nc_Position_Form_Cursor(FORM *form)
 {
   FIELD *field;
@@ -843,7 +843,7 @@
 |                    E_BAD_ARGUMENT    - invalid form pointer
 |                    E_SYSTEM_ERROR    - general error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 _nc_Refresh_Current_Field(FORM *form)
 {
   WINDOW *formwin;
@@ -1233,7 +1233,7 @@
 |                    E_BAD_ARGUMENT   - invalid field pointer
 |                    E_SYSTEM_ERROR   - some severe basic error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 _nc_Synchronize_Attributes(FIELD *field)
 {
   FORM *form;
@@ -1299,7 +1299,7 @@
 |                    E_CURRENT           - field is the current one
 |                    E_SYSTEM_ERROR      - some severe basic error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 _nc_Synchronize_Options(FIELD *field, Field_Options newopts)
 {
   Field_Options oldopts;
@@ -1401,7 +1401,7 @@
 |                    E_SYSTEM_ERROR    - some severe basic error
 |                    E_NOT_CONNECTED   - no fields are connected to the form
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 _nc_Set_Current_Field(FORM *form, FIELD *newfield)
 {
   FIELD *field;
@@ -3159,7 +3159,7 @@
 |   Return Values :  TRUE  - field is valid
 |                    FALSE - field is invalid
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(bool)
+NCFORM_EXPORT(bool)
 _nc_Internal_Validation(FORM *form)
 {
   FIELD *field;
@@ -3253,7 +3253,7 @@
 |
 |   Return Values :  Pointer to calculated field.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELD *)
+NCFORM_EXPORT(FIELD *)
 _nc_First_Active_Field(FORM *form)
 {
   FIELD **last_on_page = &form->field[form->page[form->curpage].pmax];
@@ -3806,7 +3806,7 @@
 |                    E_BAD_ARGUMENT      - invalid field pointer
 |                    E_SYSTEM_ERROR      - some severe basic error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 _nc_Set_Form_Page(FORM *form, int page, FIELD *field)
 {
   int res = E_OK;
@@ -4193,7 +4193,7 @@
 |                    E_NOT_CONNECTED   - no fields are connected to the form
 |                    E_UNKNOWN_COMMAND - command not known
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 form_driver(FORM *form, int c)
 {
   const Binding_Info *BI = (Binding_Info *) 0;
@@ -4384,7 +4384,7 @@
 |                    E_BAD_ARGUMENT  - invalid argument
 |                    E_SYSTEM_ERROR  - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_field_buffer(FIELD *field, int buffer, const char *value)
 {
   FIELD_CELL *p;
@@ -4501,7 +4501,7 @@
 |
 |   Return Values :  Pointer to buffer or NULL if arguments were invalid.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(char *)
+NCFORM_EXPORT(char *)
 field_buffer(const FIELD *field, int buffer)
 {
   char *result = 0;
@@ -4569,7 +4569,7 @@
 | Convert a multibyte string to a wide-character string.  The result must be
 | freed by the caller.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(wchar_t *)
+NCFORM_EXPORT(wchar_t *)
 _nc_Widen_String(char *source, int *lengthp)
 {
   wchar_t *result = 0;
diff -ur ncurses-5.9-orig/form/frm_hook.c ncurses-5.9/form/frm_hook.c
--- ncurses-5.9-orig/form/frm_hook.c	2010-01-23 16:12:08 -0500
+++ ncurses-5.9/form/frm_hook.c	2013-07-04 18:38:37 -0400
@@ -36,7 +36,7 @@
 
 /* "Template" macro to generate function to set application specific hook */
 #define GEN_HOOK_SET_FUNCTION( typ, name ) \
-NCURSES_IMPEXP int NCURSES_API set_ ## typ ## _ ## name (FORM *form, Form_Hook func)\
+NCFORM_IMPEXP int NCFORM_API set_ ## typ ## _ ## name (FORM *form, Form_Hook func)\
 {\
    T((T_CALLED("set_" #typ"_"#name"(%p,%p)"), form, func));\
    (Normalize_Form( form ) -> typ ## name) = func ;\
@@ -45,7 +45,7 @@
 
 /* "Template" macro to generate function to get application specific hook */
 #define GEN_HOOK_GET_FUNCTION( typ, name ) \
-NCURSES_IMPEXP Form_Hook NCURSES_API typ ## _ ## name ( const FORM *form )\
+NCFORM_IMPEXP Form_Hook NCFORM_API typ ## _ ## name ( const FORM *form )\
 {\
    T((T_CALLED(#typ "_" #name "(%p)"), (const void *) form));\
    returnFormHook( Normalize_Form( form ) -> typ ## name );\
diff -ur ncurses-5.9-orig/form/frm_opts.c ncurses-5.9/form/frm_opts.c
--- ncurses-5.9-orig/form/frm_opts.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_opts.c	2013-07-04 18:38:37 -0400
@@ -44,7 +44,7 @@
 |   Return Values :  E_OK              - success
 |                    E_BAD_ARGUMENT    - invalid options
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_form_opts(FORM *form, Form_Options opts)
 {
   T((T_CALLED("set_form_opts(%p,%d)"), (void *)form, opts));
@@ -67,7 +67,7 @@
 |
 |   Return Values :  The option flags.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(Form_Options)
+NCFORM_EXPORT(Form_Options)
 form_opts(const FORM *form)
 {
   T((T_CALLED("form_opts(%p)"), (const void *)form));
@@ -84,7 +84,7 @@
 |   Return Values :  E_OK            - success 
 |                    E_BAD_ARGUMENT  - invalid options
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 form_opts_on(FORM *form, Form_Options opts)
 {
   T((T_CALLED("form_opts_on(%p,%d)"), (void *)form, opts));
@@ -109,7 +109,7 @@
 |   Return Values :  E_OK            - success 
 |                    E_BAD_ARGUMENT  - invalid options
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 form_opts_off(FORM *form, Form_Options opts)
 {
   T((T_CALLED("form_opts_off(%p,%d)"), (void *)form, opts));
diff -ur ncurses-5.9-orig/form/frm_page.c ncurses-5.9/form/frm_page.c
--- ncurses-5.9-orig/form/frm_page.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_page.c	2013-07-04 18:38:37 -0400
@@ -46,7 +46,7 @@
 |                    E_INVALID_FIELD   - current field can't be left
 |                    E_SYSTEM_ERROR    - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_form_page(FORM *form, int page)
 {
   int err = E_OK;
@@ -95,7 +95,7 @@
 |   Return Values :  >= 0  : current page number
 |                    -1    : invalid form pointer
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 form_page(const FORM *form)
 {
   T((T_CALLED("form_page(%p)"), (const void *)form));
diff -ur ncurses-5.9-orig/form/frm_post.c ncurses-5.9/form/frm_post.c
--- ncurses-5.9-orig/form/frm_post.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_post.c	2013-07-04 18:38:37 -0400
@@ -47,7 +47,7 @@
 |                    E_NO_ROOM         - form doesn't fit into subwindow
 |                    E_SYSTEM_ERROR    - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 post_form(FORM *form)
 {
   WINDOW *formwin;
@@ -97,7 +97,7 @@
 |                    E_NOT_POSTED    - form isn't posted
 |                    E_BAD_STATE     - called from a hook routine
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 unpost_form(FORM *form)
 {
   T((T_CALLED("unpost_form(%p)"), (void *)form));
diff -ur ncurses-5.9-orig/form/frm_req_name.c ncurses-5.9/form/frm_req_name.c
--- ncurses-5.9-orig/form/frm_req_name.c	2009-10-10 12:17:01 -0400
+++ ncurses-5.9/form/frm_req_name.c	2013-07-04 18:38:37 -0400
@@ -115,7 +115,7 @@
 |   Return Values :  Pointer to name      - on success
 |                    NULL                 - on invalid request code
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(const char *)
+NCFORM_EXPORT(const char *)
 form_request_name(int request)
 {
   T((T_CALLED("form_request_name(%d)"), request));
@@ -138,7 +138,7 @@
 |   Return Values :  Request Id       - on success
 |                    E_NO_MATCH       - request not found
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 form_request_by_name(const char *str)
 {
   /* because the table is so small, it doesn't really hurt
diff -ur ncurses-5.9-orig/form/frm_scale.c ncurses-5.9/form/frm_scale.c
--- ncurses-5.9-orig/form/frm_scale.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_scale.c	2013-07-04 18:38:37 -0400
@@ -44,7 +44,7 @@
 |                    E_BAD_ARGUMENT    - invalid form pointer
 |                    E_NOT_CONNECTED   - no fields connected to form
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 scale_form(const FORM *form, int *rows, int *cols)
 {
   T((T_CALLED("scale_form(%p,%p,%p)"),
diff -ur ncurses-5.9-orig/form/frm_sub.c ncurses-5.9/form/frm_sub.c
--- ncurses-5.9-orig/form/frm_sub.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_sub.c	2013-07-04 18:38:37 -0400
@@ -43,7 +43,7 @@
 |   Return Values :  E_OK       - success
 |                    E_POSTED   - form is posted
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_form_sub(FORM *form, WINDOW *win)
 {
   T((T_CALLED("set_form_sub(%p,%p)"), (void *)form, (void *)win));
@@ -72,7 +72,7 @@
 |
 |   Return Values :  The pointer to the Subwindow.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(WINDOW *)
+NCFORM_EXPORT(WINDOW *)
 form_sub(const FORM *form)
 {
   const FORM *f;
diff -ur ncurses-5.9-orig/form/frm_user.c ncurses-5.9/form/frm_user.c
--- ncurses-5.9-orig/form/frm_user.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/frm_user.c	2013-07-04 18:38:37 -0400
@@ -43,7 +43,7 @@
 |
 |   Return Values :  E_OK         - on success
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_form_userptr(FORM *form, void *usrptr)
 {
   T((T_CALLED("set_form_userptr(%p,%p)"), (void *)form, (void *)usrptr));
@@ -62,7 +62,7 @@
 |   Return Values :  Value of pointer. If no such pointer has been set,
 |                    NULL is returned
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void *)
+NCFORM_EXPORT(void *)
 form_userptr(const FORM *form)
 {
   T((T_CALLED("form_userptr(%p)"), (const void *)form));
